> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udchip.md).

# New-UDChip

### Sinossi

I chip sono elementi compatti che rappresentano un input, un attributo o un'azione.

### Sintassi

```powershell
New-UDChip [-Id <String>] [[-Label] <String>] [[-OnDelete] <Endpoint>] [[-OnClick] <Endpoint>] [[-Icon] <Object>] [[-Style] <Hashtable>] [[-Variant] <String>] [[-Size] <String>] [-ClassName <String>] [-Color <String>] [<CommonParameters>]

    New-UDChip [-Id <String>] [[-Label] <String>] [[-OnDelete] <Endpoint>] [[-OnClick] <Endpoint>] [[-Style] <Hashtable>] [[-Variant] <String>] [[-Avatar] <String>] [[-AvatarType] <String>] [[-Size] <String>] [-ClassName <String>] [-Color <String>] [<CommonParameters>]
```

### Descrizione

I chip sono elementi compatti che rappresentano un input, un attributo o un'azione.

### Parametri

#### -Id

L'ID del componente. Per impostazione predefinita è un GUID casuale.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label

L'etichetta del chip.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnDelete

Un blocco di script da chiamare quando il chip viene eliminato.

```
Required?                    false
Position?                    9
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

Un blocco di script da chiamare quando si fa clic sul chip.

```
Required?                    false
Position?                    8
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon Un'icona da mostrare all'interno del chip.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleStili CSS da applicare al chip.Required?                    falsePosition?                    3Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-VariantLa variante del tema da applicare al chip.Required?                    falsePosition?                    4Default value                defaultAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AvatarUn avatar da mostrare all'interno del chip.Required?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AvatarTypeIl tipo di avatar da mostrare nel chip.Required?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SizeLa dimensione del chip. I valori validi sono: "small", "medium"Required?                    falsePosition?                    10Default value                mediumAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameUna classe CSS da applicare al chip.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ColorIl colore del chip. Per impostazione predefinita è 'default'. Valori validi: "default", "primary", "secondary"Required?                    falsePosition?                    namedDefault value                defaultAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Output--------------------------> ESEMPIO 1 --------------------------PS >New-UDChip -Label 'Basic' -Icon (New-UDIcon -Icon 'user') -Id 'chip1'Basic chip|A basic chip with an icon.-------------------------- EXAMPLE 2 --------------------------PS >New-UDChip -Variant outlined -Label 'Outlined' -Icon (New-UDIcon -Icon 'user') -Id 'chip2'Outlined chip|An outlined chip with an icon.-------------------------- EXAMPLE 3 --------------------------PS >New-UDChip -Label 'Clickable' -Icon (New-UDIcon -Icon 'user') -OnClick {PS >    Show-UDToast -Message 'Hello!'PS > } -Id 'chip3'Clickable chip|A clickable chip with an icon.-------------------------- EXAMPLE 4 --------------------------PS >New-UDChip -Label 'Deletable' -Icon (New-UDIcon -Icon 'user') -OnDelete {PS >    Show-UDToast -Message 'Deleted!'PS > } -Id 'chip4'Deletable chip|A deletable chip with an icon.-------------------------- EXAMPLE 5 --------------------------PS >New-UDChip -Label 'Clickable and deletable' -Icon (New-UDIcon -Icon 'user') -OnClick {PS >    Show-UDToast -Message 'Hello!'PS > } -OnDelete {PS >    Show-UDToast -Message 'Deleted!'PS > } -Id 'chip5'Clickable and deletable chip|A clickable and deletable chip with an icon.-------------------------- EXAMPLE 6 --------------------------PS >New-UDChip -Avatar "A" -AvatarType letter -Label 'Avatar' -Id 'chip6'Avatar chip|A chip with an avatar.-------------------------- EXAMPLE 7 --------------------------PS >New-UDChip -Avatar "<https://picsum.photos/200/300>" -AvatarType image -Label 'Avatar' -Id 'chip7'Image chip|A chip with an avatar image.-------------------------- EXAMPLE 8 --------------------------PS >New-UDChip -Label 'Small' -Icon (New-UDIcon -Icon 'user') -Size small -Id 'chip8'Small chip|A small chip with an icon.-------------------------- EXAMPLE 9 --------------------------PS >New-UDChip -Style @{background = 'red'; color = 'white'} -Label 'Styled' -Icon (New-UDIcon -Icon 'user') -Id 'chip9'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udchip.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
